#80 mysql extension deprecated, move to mysqli ?

Unstable (example)
open
nobody
None
5
2017-06-03
2013-08-09
No

Installing under PHP 5.5 gives a warning that the MySQL extension is deprecated, and should be replaced by MySQLi or PDO. There is a script available to convert the PHP code automatically, and I tried it yesterday - seemed to work:

https://wikis.oracle.com/display/mysql/Converting+to+MySQLi

Discussion

  • Hans van der Weij

    Thanks for the suggestion.

    I don't expect to implement MySQLi in the next release of the OpenBiblio 0.x.x branch:

     
  • Jan Frederik Solem

    The newer branch being obiblio-1.0-wip?

     
  • Hans van der Weij

    Correct.

    WIP = Work In Progress. Don't expect a release soon.

     
  • Wolfram Sang

    Wolfram Sang - 2015-09-05

    Since the above link doesn't work anymore, I thought I post a minimal patch to disable this warning, especially for those not familiar with PHP. So, other errors could still be displayed if you want.

     

Log in to post a comment.